CREATE TABLE fa_asset_key_aliases_b (
    STRUCTURE_INSTANCE_NUMBER    NUMBER(18, 0),
    SHORTHAND_ALIAS_CODE         VARCHAR2(120),
    ENABLED_FLAG                 VARCHAR2(4)      NOT NULL,
    START_DATE_ACTIVE            DATE         ,
    END_DATE_ACTIVE              DATE         ,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    SEGMENT1                     VARCHAR2(120),
    SEGMENT2                     VARCHAR2(120),
    SEGMENT3                     VARCHAR2(120),
    SEGMENT4                     VARCHAR2(120),
    SEGMENT5                     VARCHAR2(120),
    SEGMENT6                     VARCHAR2(120),
    SEGMENT7                     VARCHAR2(120),
    SEGMENT8                     VARCHAR2(120),
    SEGMENT9                     VARCHAR2(120),
    SEGMENT10                    VARCHAR2(120),
    ATTRIBUTE_CATEGORY           VARCHAR2(600),
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    ATTRIBUTE6                   VARCHAR2(600),
    ATTRIBUTE7                   VARCHAR2(600),
    ATTRIBUTE8                   VARCHAR2(600),
    ATTRIBUTE9                   VARCHAR2(600),
    ATTRIBUTE10                  VARCHAR2(600),
    ATTRIBUTE11                  VARCHAR2(600),
    ATTRIBUTE12                  VARCHAR2(600),
    ATTRIBUTE13                  VARCHAR2(600),
    ATTRIBUTE14                  VARCHAR2(600),
    ATTRIBUTE15                  VARCHAR2(600),
    ATTRIBUTE_DATE1              DATE         ,
    ATTRIBUTE_DATE2              DATE         ,
    ATTRIBUTE_DATE3              DATE         ,
    ATTRIBUTE_DATE4              DATE         ,
    ATTRIBUTE_DATE5              DATE         ,
    ATTRIBUTE_NUMBER1            NUMBER       ,
    ATTRIBUTE_NUMBER2            NUMBER       ,
    ATTRIBUTE_NUMBER3            NUMBER       ,
    ATTRIBUTE_NUMBER4            NUMBER       ,
    ATTRIBUTE_NUMBER5            NUMBER       ,
    STRUCTURE_INSTANCE_NUMBER    NUMBER(18, 0),
    SHORTHAND_ALIAS_CODE         VARCHAR2(120),
    ENABLED_FLAG                 VARCHAR2(4)      NOT NULL,
    START_DATE_ACTIVE            DATE         ,
    END_DATE_ACTIVE              DATE         ,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    SEGMENT1                     VARCHAR2(120),
    SEGMENT2                     VARCHAR2(120),
    SEGMENT3                     VARCHAR2(120),
    SEGMENT4                     VARCHAR2(120),
    SEGMENT5                     VARCHAR2(120),
    SEGMENT6                     VARCHAR2(120),
    SEGMENT7                     VARCHAR2(120),
    SEGMENT8                     VARCHAR2(120),
    SEGMENT9                     VARCHAR2(120),
    SEGMENT10                    VARCHAR2(120),
    ATTRIBUTE_CATEGORY           VARCHAR2(600),
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    ATTRIBUTE6                   VARCHAR2(600),
    ATTRIBUTE7                   VARCHAR2(600),
    ATTRIBUTE8                   VARCHAR2(600),
    ATTRIBUTE9                   VARCHAR2(600),
    ATTRIBUTE10                  VARCHAR2(600),
    ATTRIBUTE11                  VARCHAR2(600),
    ATTRIBUTE12                  VARCHAR2(600),
    ATTRIBUTE13                  VARCHAR2(600),
    ATTRIBUTE14                  VARCHAR2(600),
    ATTRIBUTE15                  VARCHAR2(600),
    ATTRIBUTE_DATE1              DATE         ,
    ATTRIBUTE_DATE2              DATE         ,
    ATTRIBUTE_DATE3              DATE         ,
    ATTRIBUTE_DATE4              DATE         ,
    ATTRIBUTE_DATE5              DATE         ,
    ATTRIBUTE_NUMBER1            NUMBER       ,
    ATTRIBUTE_NUMBER2            NUMBER       ,
    ATTRIBUTE_NUMBER3            NUMBER       ,
    ATTRIBUTE_NUMBER4            NUMBER       ,
    ATTRIBUTE_NUMBER5            NUMBER       ,
    CONSTRAINT pk_fa_asset_key_aliases_b PRIMARY KEY (STRUCTURE_INSTANCE_NUMBER, SHORTHAND_ALIAS_CODE, STRUCTURE_INSTANCE_NUMBER, SHORTHAND_ALIAS_CODE)
);
